sensorfw: CalibratedMagneticFieldData Class Reference

sensorfw

Public Member Functions | Public Attributes | List of all members
CalibratedMagneticFieldData Class Reference

Datatype for calibrated magnetometer measurements. More...

`#include <orientationdata.h>`

Inheritance diagram for CalibratedMagneticFieldData:

## Public Member Functions
| CalibratedMagneticFieldData ()
| Default constructor.
| CalibratedMagneticFieldData (const quint64 &timestamp, int x, int y, int z, int rx, int ry, int rz, int level)
| Constructor.
| CalibratedMagneticFieldData (TimedXyzData magData, int level)
| Constructor.
Public Member Functions inherited from TimedData
| TimedData (const quint64 &timestamp)
| Constructor.

## Public Attributes
int | x_
| X coordinate value.
int | y_
| Y coordinate value.
int | z_
| Z coordinate value.
int | rx_
| raw X coordinate value
int | ry_
| raw Y coordinate value
int | rz_
| raw Z coordinate value
int | level_
| Magnetometer calibration level.
Public Attributes inherited from TimedData
quint64 | timestamp_
| monotonic time (microsec)

## Detailed Description

Datatype for calibrated magnetometer measurements.

Definition at line 58 of file orientationdata.h.

## Constructor & Destructor Documentation

## ◆ CalibratedMagneticFieldData() [1/3]

CalibratedMagneticFieldData::CalibratedMagneticFieldData | ( |  | ) |
| inline

Default constructor.

Definition at line 64 of file orientationdata.h.

## ◆ CalibratedMagneticFieldData() [2/3]

CalibratedMagneticFieldData::CalibratedMagneticFieldData | ( | const quint64 & | timestamp,
|  | int | x,
|  | int | y,
|  | int | z,
|  | int | rx,
|  | int | ry,
|  | int | rz,
|  | int | level )
| inline

Constructor.

Parameters

  timestamp | timestamp as monotonic time (microsec).
  x | X coordinate value.
  y | Y coordinate value.
  z | Z coordinate value.
  rx | raw X coordinate value.
  ry | raw Y coordinate value.
  rz | raw Z coordinate value.
  level | Calibration level.

Definition at line 81 of file orientationdata.h.

## ◆ CalibratedMagneticFieldData() [3/3]

CalibratedMagneticFieldData::CalibratedMagneticFieldData | ( | TimedXyzData | magData,
|  | int | level )
| inline

Constructor.

Parameters

  magData | Magnetometer data.
  level | Calibration level.

Definition at line 93 of file orientationdata.h.

## Member Data Documentation

## ◆ level_

int CalibratedMagneticFieldData::level_

Magnetometer calibration level.

Higher value means better calibration.

Definition at line 105 of file orientationdata.h.

## ◆ rx_

int CalibratedMagneticFieldData::rx_

raw X coordinate value

Definition at line 102 of file orientationdata.h.

## ◆ ry_

int CalibratedMagneticFieldData::ry_

raw Y coordinate value

Definition at line 103 of file orientationdata.h.

## ◆ rz_

int CalibratedMagneticFieldData::rz_

raw Z coordinate value

Definition at line 104 of file orientationdata.h.

## ◆ x_

int CalibratedMagneticFieldData::x_

X coordinate value.

Definition at line 99 of file orientationdata.h.

## ◆ y_

int CalibratedMagneticFieldData::y_

Y coordinate value.

Definition at line 100 of file orientationdata.h.

## ◆ z_

int CalibratedMagneticFieldData::z_

Z coordinate value.

Definition at line 101 of file orientationdata.h.

The documentation for this class was generated from the following file:

- datatypes/orientationdata.h